    Return the preferences for plot_model.

get_model_plot_prefs(id=None)
id - int or str, optional

The plot preferences may depend on the data set, so it is now an optional argument.

After these commands, any model plot will use a green line to display the model:

>>> prefs = get_model_plot_prefs() >>> prefs['color'] = 'green'

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

prefs -- Changing the values of this dictionary will change any new model plots. This dictionary will be empty if no plot backend is available.

Notes

The meaning of the fields depend on the chosen plot backend. A value of none means to use the default value for that attribute, unless indicated otherwise. These preferences are used by the following commands: `plot_model` , `plot_ratio` ,

`plot_bkg_model` , and the "fit" variants, such as `plot_fit` ,

`plot_fit_resid` , and `plot_bkg_fit` .

The preferences recognized by the matplotlib backend are the same as for `get_data_plot_prefs` .

Changes in CIAO

The id argument has been given.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023